Subject: Re: bug#23599: Including search directories for pdf and dvi

From: Mike Frysinger <[email-masked]>
Date: Fri, 21 Jan 2022 08:30:31 +0000 (UTC)

tag 23599 = confirmed
thankyou

On Mon, 23 May 2016 03:08:19 +0200, Mathieu Lirzin wrote:
> Mohammad Akhlaghi <[email-masked]> writes:
> > I currently have a workaround for this problem (copying or making a
> > symbolic link from the `bootstrapped/doc/fdl.texi' to the
> > `doc/fdl.texi' during the bootstrap process), however, this is not
> > elegant! This file is a bootstrapped file and it would be much better
> > and clear if it remains with the other bootstrapped files.
> >
> > If I am doing something wrong or missing something, I would really
> > appreciate it if you could let me know.  Since the `AM_MAKEINFOFLAGS'
> > solution works in making Info and HTML outputs for this situation, but
> > not in pdf or dvi outputs, I thought it might be a bug and I am
> > sharing it with you here to see if you agree and if it is possible to
> > fix this problem.
>
> I haved faced the same type of problem when trying to include a texi
> fragment generated at configure time in "$(top_builddir)/doc" and
> setting 'AM_MAKEINFOFLAGS = -I doc'.  My ugly workaround is to override
> TEXI2DVI variable like this:
>
>   TEXI2DVI = texi2dvi -I doc
>
> After a quick look at $(datadir)/automake-1.15/am/texibuild.am' and
> '$(bindir)/texi2dvi', my guess is that 'texi2dvi' no longer handles
> passing arguments via the MAKEINFO shell variable, which is the way
> Automake passes AM_MAKEINFOFLAGS content to it.

looking at texi2dvi, it's had this behavior for a very long time.  the 4.3
release from Nov 2002 behaves this way.  not sure i can find history for
older releases.

util/texi2dvi:
  # Unless required by the user, makeinfo expansion is wanted only
  # if texinfo.tex is too old.
  if $expand; then
    makeinfo=${MAKEINFO:-makeinfo}
  else

that tip indicates perhaps an easy way out of this ... if we just add -E
to the texi2dvi call, it forces makeinfo (and its flags) to be used.

Karl: i see your name all over the texinfo history :).  any opinion ?
-mike